Changes:

   Sunny Data Control 3.93 (12/07/2007)
 
      - SDC:
         - Support of the Sunny Portal connection for direct communication with the inverters 
         - Channel description files are stored plant for plant
         - Password protection for Spot value display
         - Sunny Boy Control Light problem removed
         - Problem with parameter range windows removed
         - Menu entry "Remove Device" removed (not supported by Sunny Beam)
         - Problem with preliminary storage of channel descriptions removed
         - Problem when saving the average value settings in direct communication removed.
           Data storage optimized.
         - Transparency effects in the Spot value display
         - Communication
           The "Connecting with PV-plant ..." is automatically closed after 30 seconds,

    

  Sunny Data Control 3.92 ()

      - SDC:

        - SDC on Windows Vista
          The RAS-Connection has been adjusted to Windows Vista.
          Because of the new and still not sophisticated security mechanisms on Windows Vista, 
          programs that are installed to "C:\programs" only run in some cases.
          To find a remedy for SDC-Version 3.9.2:
          The User should choose a different Install-folder (e.g. C:\SMA), then SDC can be used without limitations.

        - Direct communication with string inverters:
          Data recording is implemented. The measured values can now be stored in CSV file.

        - Excel macros have been upgraded with the functions "freeze window" and "autofilter".

        - From now on Sunny Beam only sends the new measured values to Sunny Portal

        - Editfield: "FPV plant identifier" in Sunny Portal Mail dialog (Settings) was changed
          Number of characters was limited to 36
          Entering spaces is again possible

        - The List of "selected plants" at the preferences for "automatic data readout" of plants 
          has been sorted  falsely at startup.
          The manually chosen order is maintained.

        - Renaming of a plant with SDC is present at the preferences for "automatic readout".

        - Storage of channel list 
          The channel list be stored plants specifically 
          ( viz. No longer under <SDC-Home>\devices  but  <SDC-Home>\Plants\<plantname>\devices  )



   Sunny Data Control 3.91 (05/31/2007)
    
      - SDC:
         - Fixed bug in saving energy values (SDT files).



   Sunny Data Control 3.9  (03/02/2007)

      - SDC:
         - CSV data storage: Archive data can now be stored in a settable CSV format instead of the Excel format 
           (new setting  "Data Storage"), the Excel file generation can be deactivated.
         - Sunny Mail Bugfix: under specific conditions the CSV format was invalid. 
         - Data storage: Avoiding data gaps when data transfer has been aborted.
         - The problem occurring when storing energy values ("E-Day"-channels) in case of the SunnyBeam has been fixed.
         - The failure occurring when entering PV plants has been fixed (some settings have been taken over from previous plants).
         - The time ranges of the channels are automatically updated after detection.
         - The problem occurring when blocking the online display has been fixed (problem in installer mode).
         - Online display: The PV note can be dragged into the overview. The time for "SyncOnline" can now be set.
         - Archive value request: The time range for all channels of a plant can be set (in the context menu)
         - Setting parameters: Common acknowledgement for setting parameters for all devices, 
           the slider has been removed.
         - Transport protocols (SunnyNet, SMANet) can now be set.
         - In case of Excel-OCX problems the SDC can now be started, though.





   Sunny Data Control 3.81  (09/08/2006)


      - SDC:
         - Support for plants with no data logger (direct communication with string inverters)
         - Bugfixing device exchange with Sunny Boy Controls
         - Sending of Sunny Mails with other port than SMTP possible
         - Fixed bug in channel list request after device type changes
         - Setting of parameter values to all devices are now again possible 
         - Fixed bug while saving digital channels to excel files
         - Improvements in context menu in archive channel request
         - div changes in RAS module
         - some optical changes




   Sunny Data Control 3.8  (03/13/2006)
 
      - SDC:
         - New native support for Windows "RAS" connections ("Windows Remote Access" connections). 
         - "TCP/IP" connections renamed to "Network". (Now the module also features the "RAS" control)
         - The "overall automatic data readout of PV plants" is now supported (in the past this was only possible 
           for the plant currently loaded)
         - During automatic data readout with locally connected devices, the SDC window will not be displayed in the
           front anymore. (channel values are now requested in background)
         - Archive channel request is completely reworked. Drag&Drop for the channel selection is not required anymore.
           The Settings dialog about the channels recording was merged into the SDC main view.

         - New icons for devices, toolbox and the start window... 
         - Suppressing multiple start-ups of SDC on the same computer.
         - Online value request: Automatically calculating the maximum power of devices and bind it to the right color
           when a device is dropped into the view (in the past this could only be made manually).
         - Fixed Bug when saving paths of background pictures (number of characters was limited to 90) 


         - Main menu entry "plant check (F4)" merged with "Storage Time Refresh (F5)"
         - Fixed bug when dial dialogs are canceled (dialog was shown twice) 
         - Reworked "device type request" with bug fix: Bug caused the display of dialog "Overview display changed....Do you want to save?"
           but nothing was changed by user...
         - fixed bug in SINFO bit mask (wrong mask). Functions reworked...
         - Changed options dialog: added new, renamed and resorted menu entries ...
         - Sunny Portal: Sending of error channels (test channels) are now supported...
         - Removed language catalog "Spanish" from main distribution (now only English and German). "SDC Language packs"
           for "Italian" and "Spanish" will be separately available for download.
         - Removed old SBC firmware update functions from SDC main application (the "TDOS" version) completely.
           Software updates for Sunny Boy Controls are now only possible with the external application "SBCUpdate.exe"
           (still available in SDC main distribution)







   Sunny Data Control 3.71 (09/10/2005)
      
      - SDC:

         - Sunny Portal Mailer:
           -  fixed some bug in the SMTP mailer. Mailer worked not correctly with some SMTP servers.
         - Completely reworked "online overview" concerning low level communication functions
           (solving problems with SunnyBeams)
         - Support for SMAData test channels
         - Some changes in the "single device information" dialog
         - Fixed problem (access violoation in borlandmm.dll) after archive channel download
         - Fixed problem in the channel find function (device parameter tab)
         - Added new warning when using Sunny Beam in online display
         - Many changes because of SunnyBeam (CMD_GET_SINFO, packet time stamps...)
         - Fixed bug in the automatic data download function: Only download of User level 
           channels were possible
         - New low-level communication functions in parameter tab
         - Fixed some memory problems (leaks)
         - Fixed bug in packet SMAData layer (defragment)
         - Check for corrupt or invalid device channel lists
         - Removed warning when writing in write-protected online data file ("./Online/*.ini")
           and added missed translations of channel values
         - Removed access violations when using the Sunny Team Plugin in SDC...
         - Added new translations for Sunny Central Control
         - Logging more events to "./log/error.log"



   Sunny Data Control 3.7 (03/01/2005)

      - SDC:
          
         - Special support for SunnyBeam device
         - New version of "SMAUpdate" application (v1.3)
         - Fixed bug in SDCAgent which caused the Agent on big plants not to display
           all devices...
         - Changed the install script; copy mfcans32.dll always to windows system; Now
           always on file (no zip file anymore); GUI changed...          
         - "Excel daily files" are now written every time, not only when interval is 
           less 3 minutes...
         - Fixed value alignments in created excel files
         - Problem fixed when language was switched in SDC
         - Fixed problem when sending mail to Sunny-Portal (sending mail is now much faster).
         - Fixed problem with SMTP password        


   Sunny Data Control 3.6 (08/23/2004)

      - SDC:

         - Some adjustments in the TCP/IP device connections plugin to support a better
           behaviour in detecting new devices...
         - Bugfix in the online display: switch state of menu "write online date file" 
           was not saved automatically at the ending of SDC
         - Support for firmware updates with TCP/IP corrected
         - Support for the new SMA Sunny Portal functionality (sending of mails to www.sunny-portal.de)
         - New (German) documentation for SDC




   Sunny Data Control 3.5 (05/26/2004)

      - SDC: 
         - Completely redesign of communication layer, new Plugin API introduced: 
           Available "Com plugins" are now: Serial, Modem, TCPIP
         - Added new communication interface "TCP/IP". Connections
           to Sunny Boy Controls with NetPB via TCP/IP supported
         - New internationalization systems provided support for
           new languages (also Asian languages); Language catalogs now extern
         - Prepared for Chinese language catalogs (catalogs not included)
         - Bug fixing in setting device parameter:
              - Timeout was always fix 2 seconds
              - Inserting of "spaces" was not possible ("Spaces" were
                trimmed away at string start and end)
              - insufficient packet filter makes problem when switching from 
                online display to parameter display; Packets dropped away
              - Buffer overrun when setting status text channels causes wrong characters
                in the channel value
         - Problem solved when import old project files (from SDC V3.2 or older)
         - fixing problem in general overview: values formatted and interpreted
           in a wrong way (e.g. Value "2.016" was displayed as "2.16")
         - Solved Problem in "Plant check" in conjunction with device network 
           addresses; device channels list now automatically loaded from device if 
           needed
         - Fixed Problem in build-in Packet monitor. Some Packets are displayed in
           wrong sequence
         - Added some new translations for NetPB channel names and texts
         - Problem solved in "automatic data download" from SBC: Download didn't start
           on next day when SDC runs without restarts every day
         - Fix some further bugs in the auto data download. Some possible warning messages 
           are now suppressed during download to make it real automatic...
         - Fix some installer problems with files OLEPRO32.DLL and VCF132.OCX
         - Inserting new batch file to manually reregister DLL's in the system if needed


               



   Sunny Data Control 3.43 (xx.xx.2004)
      
      - SDC: Floating point Bugfixes: SDC was showing somethimes messages like 
             "Floating Point Exception" or "C++ Excption". Problem solved.



   Sunny Data Control 3.42 (11/24/2003)

      - SDC:
          - New Sunny Team manuel added
          - Some bugfixes in the new Firmware update for RS485
          - bugfix in online overview: displaying wrong channel unit in "E-Today"


   Sunny Data Control 3.41 (10/01/2003)
      
      - SDC: 
          - Support for "Sunny Team" devices via new plugin
          - new adjustable texts in the online overview window 



   Sunny Data Control 3.4 (09/23/2003)

      - SDC:
          - Fixed problem when choosing Excel file to display
          - Timouts changed when accessing devices
          - Enhanced automatic data download from SBCs recorded channels
          - optional display of daily yield in total overview
          - automatic permanently store of SBC channel values if needed
          - Device sorting by serial number or name possible
          - Fix display of floating point values
          - Adjust time range for stored SBC channel values to download possible
          - Preparation for new firmware update
      
     - SDCAgent:
          - fix possible problem when configuring with web browser
     
     - Java-Applet:
          - Fixed problem in chart component: time axis is displayed correct after second refresh only
          - All components displays "Waiting for initial values..." now, until no values are received from server
          - the chart component displays the last 100 values now (formerly 50)  



   Sunny Data Control 3.3 (05/19/2003)

      - SDC:

          - Various problems during storage of measured values 
            in the Excel sheets have been corrected (a.o. for Sunny Island => Negative values).
          - The number of the measured values contained in the Excel sheet was miscalculated
          - Sunny Central is now handled like a Sunny Boy Control (e.g. during device detection)
          - Missing plant directories are created, if they do not exist yet.
          - Error in the packet monitor: Bits in the CTRL field are interchanged (BROADCAST + ANSWER)
          - Support of the "SMANET" protocols, up to now only "SunnyNet". Protocol is automatically detected 
            during acquisition. Protocol can be seen in the dialogue box "Device Information" 
            ("Used Protocol"). 
          - Online display: Device names are displayed underlined. Layout errors have been corrected in 
            case of large fonts.
          - Dialogue box "Channel Selection for Spot Value Query": Automatic conversion of the 
            utilization value from "," into "." and vice versa.
          - Warning during acquisition, in case of no existing write rights for the project file
          - Changes of the network addresses are automatically detected during plant control 
            (measured value query) and corrected in the plant.
          - After changing of the settings, which measuring channels shall be recorded, the recording area 
            of the measuring channel is automatically upgraded in the display of the main dialogue.
          - In the dialogue box "Measuring Channels" the selected channels have a background with 
            "stripy pattern" for a better readability.
          - Online display: Double click on the device in the field automatically opens the dialogue box 
            "Single Device Information"
          - Online display: Default Icons for converters changed into "Converter Icon" and for
            Sunny Boy Control into "Sum Icon".
          - Storage of measuring channels in Excel files: Error messages reviewed and new messages added
            (e.g. in case of access right problems)
          - Obsolete online help removed. The SDC manual is displayed as PDF file (via main menu)
          - Check if the electrician password has been adjusted to Sunny Boy Control.
          - "Online Transfer File" is written completely after each device. Up to now only after query 
            of all devices in the online display
          - Modem (TAPI): Actually, only modem devices and COM connections for
            the interface selection are displayed. Before, also internal Windows devices were listed.
          - VDEW warning in the installer mode during 
            setting of parameter channels is displayed only in the German language selection.
          - Warning when devices are removed via Sunny Data Control, that the devices are also removed in the
            Sunny Boy Control.
          - Excel macro for the display of measuring channels is now authentificated.
          - Channel lists are not supplied. Channel lists of possibly older SDC versions (<=V3.1)
            are automatically erased by the installer.
          - The final point of time for the readout of measuring channels is now independent of the currently displayed 
            recording time range of a channel. As necessary, the required upgrade is omitted,
            to save also the last measured values.
          - During the check of the device type, it is adjusted to the recordings in the Excel 
            sheets in case of modification.

      - SDCAgent:

          - Text field has been removed from the user interface. When clicking on the 
            window the browser for the configuration is opened automatically.
          - Error in case of use of newer Mozilla/Netscape versions has been corrected. 
            Parameters could not be be saved correctly.
          - Automatic selection of language for web dialogue by means of the settings of the browser.


       - Java-Applet:

          - Error in the display of status text channels. Channel overwrote channel name
          - Layout of the gridfield component has been further approached to the online display of SDC:
            Device names are underlined. New layout for a better display of the channel values.
            If the mouse is over this component the mouse pointer changes into a "hand" icon.
          - Correct screen centering of possible error messages.
          



   Sunny Data Control 3.22 (10/02/2002)

      - SDC
          - Fixed bug in loading PV plants (used serial port)
          - The dial-up modem window now supports phone numbers up to 50 digits
          - Fixed bug in setting device parameter: The channel texts were falsely 
             sent to the devices only in upper-case characters.
          - "Access Violations" caused by switching too fast between "parameter side" 
            and "online data" side have been fixed
          - Fixed bug in the Online Display: Possible wrong displayed channel 
            values if device was not reachable
          - SDC automatically loads the last pv plant from older SDC versions correctly
          - Some improvements in the "Loading Plant" Dialog
          - Device names and ID's can only be adjusted uniquely. Dialog reworked.
          - Fixed problem with US Sunny-Boys (incorrect channel lists)
          - Installation script: Now older SDC versions will be deleted from
            the windows start menue and the software registry. Old SDC executables
            are also deleted from the install directory



   Sunny Data Control 3.21 (08/09/2002)

      - SDC
          - Fixed bug in modem dialin dialog
          - Fixed small bug in Online Data Display
          - New XML format of the recording file (Online Data display)
          - Fixed Bug in file attributes of the created Excel sheet files
        


   Sunny Data Control 3.2  (08/01/2002)

      - Java-Applet
          - Bug in Chart component if timezone is smaller than zero
          - New parameters

      - Sunny Data Control
          - Adjustable Device Names and ID's
          - New extended Excel-Sheet-Format 
          - Support for "Sunny Central" and "Sunny Island" 
          - New Project File "*.spx" (XML-based)
          - No automatic SBC Firmware update 
          - Spanish Menus
          - Extended Excel-Makro (new Excel-Sheet-Format, spanish)
          - Fixed bug setting SunnyBoy parameters
          - Enhanced channel translation for Multistring Inverter
          - New Install script



   Sunny data Control 3.1 (04/02/2001)

     - Java-Applet:
          - changed scale interval of Y-Axis in chart component
          - measurement intervals of more than one minute will not
            display any seconds on the time axis
          - the displayed time correspond to the time zone of the server
            (the computer with Sunny Data Control)
          - the language of the displayed tests in the GridView component 
            can now be set with parameter "Language" (German or English)
          - the entire overview of the GridView component will be preloaded
            when the applet starts
          
      - Sunny Data Control:
          - the recording of measurement channels of SBC can be controlled 
            by PC (from SBC firmware version 3.05 )
          - the system time of SBC must not be entered in UNIX time anymore
          - it is now possible to update the firmware of SBC-Light
          - enhanced functions for inserting devices in the online display
          - the request direction of devices in the online display can now 
            be changed to vertical
          - the font properties (italics, bold, ...) of the online display 
            are now taken into account
          - fixed some bugs in the plant management
          - added some entries in the channel translate table
          - no crash messages with modem connections under windows95/98 anymore
          - after setting of parameters the device type will be checked
          - adjust warning messages at communication problems to devices
          - removed online help for Sunny Boy Control
          - device type checks can always now be performed 
          - fixed some bugs in the energy value request
          - fixed some bugs in the use of the serial port (COM5 to COM8)
          - count of managed devices is unlimited
          - added packet monitor with recording functions
          - fixed some bugs of inserting measurement values in Excel files

      - SDC-Agent
          - One failure caused that only up to 255 connections between
            the Java-Applet and SDC-Agent could be established
          - the Agent will now be installed in the main directory of 
            Sunny Data Control


   Sunny Data Control 3.02 (07/25/2000)

      - bug in Device Detection: 
        SBC were shown twice as much than really found
      - new installer version used (Wise 8.03)
      - Timing dialog (Settings) changed 


   Sunny Data Control 3.01 (06/29/2000)
      
      - Automatic Data Request doesn't work correctly - bug fixed
      - Excel97-Macro now supports selection of more than 20 channels 
        at the same time
   
   Sunny Data Control 3.00 (06/21/2000)

      - new feature: display plant device channels in the Internet
      - added Java-Applet for Internet presentation
      - Windows deamon for Applet communication
      - added info dialog at program startup (SunnyBoy picture)
      - if english language is selected all messages for modem connections are
        shown in english again
      - fixed some errors at device detection
      - fixed some errors at program shutdown
      - displays packet traffic in program status panel
      - positions of the devices in the online display do not change 
        if online arrangement is enlarged        
      - fixed a bug in renaming plants
      - added new text items in translation table for new device channels (SBC+)
      - fixed a memory leak in download of measurement channels
      - remove current SBC firmware from distribution
    